MG_PropSave = MG_PropSave or {}

surface.CreateFont("MG_Props", {font = "Roboto", size = 20, weight = 500})

concommand.Add("mg_props_help", function(ply, cmd, args)
	MsgC(Color(200, 50, 50), ">> MG Prop Save Hilfe & Befehle <<\n\n")
	MsgC(Color(255, 255, 0), "Das Speichersystem kann gerade "..(GetConVar("mg_props_adminmode"):GetBool() and "von allen Teammitgliedern" or "nur beschränkt").." verwendet werden.\n\n")
	MsgC(Color(255, 255, 0), "Folgende Gegenstände werden bei Mapstart automatisch optimiert:\n")
	for k in pairs(MG_PropSave.FreezeEntities) do
		MsgC(Color(0, 255, 0), string.lower(k).."\n")
	end
	Msg("\n")
	MsgC(Color(255, 150, 0), "Diese Befehle können standardmäßig benutzt werden:\n")
	MsgC(Color(255, 100, 100), "mg_props_admin - Wechsle in den Admin Modus.\n")
	MsgC(Color(255, 100, 100), "mg_props_delete - Lösche ein Prop anhand dessen ID.\n")
	MsgC(Color(255, 100, 100), "mg_props_printunused - Props die außerhalb der Map liegen, in die Konsole kopieren.\n")
	MsgC(Color(255, 100, 100), "mg_props_deleteunused - Lösche alle Props, die außerhalb der Map liegen.\n")
	MsgC(Color(255, 100, 100), "mg_props_reset - Setzt alle Props auf der Map vollständig zurück.\n")
	Msg("\n")
	MsgC(Color(255, 150, 0), "Diese Befehle können nur vom Server Owner benutzt werden:\n")
	MsgC(Color(255, 100, 100), "mg_props_clear - Setzt alle Daten zurück.\n")
end)